Summary:	Server daemons for Secure IMAP network mail protocols.
Name:		imap
Version:	2004f
Release:	7
License:	BSD
Group:		System Environment/Daemons
Source0:	ftp://ftp.cac.washington.edu/imap/imap-%{version}.tar.Z
Source1:	imap.pamd
Source2:	pop.pamd
Source3:	simap.xinetd-gd-2
Source4:	spop3.xinetd-gd-2
Source5:	imapd-pop3d-server-20011129.pem
Patch00:	imap-2004e-POPb4SMTP-logline-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	pam >= 0.59, libwrap
Prereq:		xinetd

%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect
mail for users and allows users to download their mail to their local
machine for reading. The IMAP protocol allows a user to read mail on a
remote machine without downloading it to their local machine.  This 
version requires xinetd.

%files
  %defattr(0444,root,root,0555)
  %doc README
  %doc %{_mandir}/man8/imapd.8*

  %attr(0510,root,mail)		%{_sbindir}/*
  %attr(0600,root,root)		%config %{_sysconfdir}/pam.d/imap
  %attr(0600,root,root)		%config %{_sysconfdir}/pam.d/pop
  %attr(0600,root,root)		%config %{_sysconfdir}/xinetd.d/simap
  %attr(0600,root,root)		%config %{_sysconfdir}/xinetd.d/spop3
  %attr(0400,root,root)		%config %{_sysconfdir}/ssl/certs/simap.pem
  %attr(0400,root,root)		%config %{_sysconfdir}/ssl/certs/spop3.pem

%package devel
Summary: Development tools for programs which will use the IMAP library.
Group: Development/Libraries

%description devel
The imap-devel package contains the header files and static libraries
for developing programs which will use the IMAP (Internet Message
Access Protocol) library.

%files devel
  %defattr(0444,root,root,0555)
  %doc docs/*
  %attr(0444,root,root)		%{_includedir}/imap/linkage.c
  %attr(0444,root,root)		%{_includedir}/imap/*.h
  %attr(0444,root,root)		%{_libdir}/c-client.a
  %attr(0444,root,root)		%{_libdir}/libc-client.a

%prep
%setup -q
%patch0 -p1

%build
  make %{?_smp_mflags}							\
	SSLDIR=%{_sysconfdir}/ssl					\
	EXTRACFLAGS="-I/usr/include/openssl $RPM_OPT_FLAGS -fPIC"	\
	lnp

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/ssl/certs
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/imap

  install ./src/imapd/imapd.8 $RPM_BUILD_ROOT/%{_mandir}/man8/imapd.8

  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/imap
  install %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/pop
  install %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/simap
  install %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/spop3
  install %{SOURCE5} $RPM_BUILD_ROOT/%{_sysconfdir}/ssl/certs/simap.pem
  install %{SOURCE5} $RPM_BUILD_ROOT/%{_sysconfdir}/ssl/certs/spop3.pem

  install -s ./imapd/imapd $RPM_BUILD_ROOT/%{_sbindir}/simap
  install -s ./ipopd/ipop3d $RPM_BUILD_ROOT/%{_sbindir}/spop3

  install ./c-client/c-client.a $RPM_BUILD_ROOT/%{_libdir}
  install ./c-client/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
  install ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/%{_includedir}/imap

  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  install -m 644 ./c-client/c-client.a $RPM_BUILD_ROOT/%{_libdir}/
  ln -s c-client.a  $RPM_BUILD_ROOT/%{_libdir}/libc-client.a
  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/imap
  install -m 644 ./c-client/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
  install -m 644 ./c-client/linkage.c $RPM_BUILD_ROOT/%{_includedir}/imap
  install -m 644 ./src/osdep/tops-20/shortsym.h $RPM_BUILD_ROOT/%{_includedir}/imap

%post
  if [ -f /var/lock/subsys/xinetd ]; then
    %{_sysconfdir}/init.d/xinetd restart > /dev/null 2>&1
  fi

%preun
  if [ "$1" = 0 ]; then
    if [ -f /var/lock/subsys/xinetd]; then
	%{_sysconfdir}/init.d/xinetd restart > /dev/null 2>&1
    fi
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 09 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004f, Release 7
  - Don't enable at boot, fixes #0000824.

* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 2004f, Release 6
  - Removed stunnel
  - Added Prereq xinetd and the simap,spop3 files to put in xinetd.d
  - Altered %post and %preun to restart xinetd 
  - Changed cert file names to simap.pem, spop3.pem

* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 2004f, Release 5
  - Ugrade to latest version

* Thu Aug 11 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004e, Release 4
  - Happy Birthday Christi!
  - Build libraries with -fPIC.

* Fri Jul 15 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004e, Release 3
  - Point SSLDIR to the proper location of the SSL certificates.

* Fri Jul 08 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004e, Release 2
  - Rebuild against openssl-0.9.8.

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2004e, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
